FailWithMessage (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.FailWithMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant
Class FailWithMessage

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Exit
                  org.hyperic.tools.ant.FailWithMessage

    public class FailWithMessage

extends org.apache.tools.ant.taskdefs.Exit

Field Summary
`protected java.lang.String` | `myMessage`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`FailWithMessage()`

Method Summary
`void` | `addText(java.lang.String msg)`
`void` | `execute()`
`void` | `setMessage(java.lang.String value)`

Methods inherited from class org.apache.tools.ant.taskdefs.Exit
`createCondition, setIf, setStatus, setUnless`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myMessage

    protected java.lang.String myMessage

Constructor Detail

### FailWithMessage

    public FailWithMessage()

Method Detail

### setMessage

    public void setMessage(java.lang.String value)

  Overrides:
    `setMessage` in class `org.apache.tools.ant.taskdefs.Exit`

### addText

    public void addText(java.lang.String msg)

  Overrides:
    `addText` in class `org.apache.tools.ant.taskdefs.Exit`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.taskdefs.Exit`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.